Subject: What I did to fix Netatalk in Solaris

From: Adam Oldham <[email-masked]>
Date: Thu, 24 Feb 2000 09:53:02 -0500

Since so many requested that I post this:

Recompiled from the Source I was using, 
netatalk-1.4b2+asun2.1.3
Used, gcc, egcs, and gnu stuff rather than stock Solaris programs. 
Recompiled doing a make install.  Then did a make kinstall.  Made sure
that /etc/services was correct.  Added the entry I needed to afpd.conf. 
And ripped everything out of init.d/atalk to make it look like this:
#! /bin/sh
#
# Start/stop the AppleTalk daemons.
#
# AppleTalk daemons. Make sure not to start atalkd in the background:
# its data structures must have time to stablize before running the
# other processes.
#
 
#
# kill the named process(es)
#
killproc() {
        pid=`/usr/bin/ps -e |
             /usr/bin/grep $1 |
             /usr/bin/sed -e 's/^  *//' -e 's/ .*//'`
        [ "$pid" != "" ] && kill $pid
}
 
case "$1" in
#
# Start the appletalk server processes.
#
 
'start')
 
        echo 'starting appletalk daemons: \c'
 
        if [ -x /usr/local/atalk/etc/afpd ]; then
                /usr/local/atalk/etc/afpd -c 20;                echo '
afpd\c'
        fi
 
        echo '.'
 
        ;;
 
#
# Stop the appletalk server processes.
#                                    
'stop')
 
        echo 'stopping appletalk daemons:\c'
 
        if [ -x /usr/local/atalk/etc/afpd ]; then
                killproc afpd;                  echo ' afpd\c'
        fi
 
        echo '.'
        ;;
 
#
# Usage statement.
#
 
*)
        echo "usage: $0 {start|stop}"
        exit 1
        ;;        
esac

Basically, for security reasons, this allows you to enter the IP address
in chooser and log in that way.

Hope this may help some of you guys.

Adam

===========================================================
= Adam Oldham
= System Administrator for UNC Student Stores
= AIX, Solaris, Linux, NT, and almost all Mac OS's
===========================================================